List Testimonials
curl --request GET \
--url https://schoolmaker.co/api/v1/testimonials \
--header 'Authorization: Bearer <token>'import requests
url = "https://schoolmaker.co/api/v1/testimonials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://schoolmaker.co/api/v1/testimonials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "f41396bd-9bbe-478d-9f33-5fc0d2e2e1f8",
"status": "ready",
"source": "banner",
"rating": 5,
"created_at": "2026-10-02T08:00:00.000Z",
"product_id": null,
"products_step_id": null,
"member": {
"id": "15a1f1ae-420c-4b58-b24a-01031ec3c6f3",
"email": "member@example.com",
"first_name": "Alex",
"last_name": "Martin",
"last_seen_at": null,
"is_active": true,
"is_banned": false,
"created_at": "2026-09-01T08:00:00.000Z",
"updated_at": "2026-10-02T08:00:00.000Z",
"profile_picture_url": null
},
"review": "<div class=\"trix-content\"><p>A useful program.</p></div>",
"video_url": null,
"file_url": null,
"video_id": null,
"video_status": null,
"video_embed_url": null,
"video_poster_url": null
}
],
"page": 1,
"next_page": null
}{
"error": "Access denied"
}{
"error": "Record not found"
}{
"error": "Invalid numeric parameter"
}Testimonials
List Testimonials
Retrieves testimonials, including unfinished submissions, ordered by creation date with the newest first.
GET
/
testimonials
List Testimonials
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by program, including testimonials from its milestone steps. Can be combined with the member filter.
Required string length:
1 - 255Filter by member ID. Takes precedence over email.
Required string length:
1 - 255Filter by member email, ignoring case and surrounding spaces. Ignored when member_id is supplied. Leave blank for no member filter.
Maximum string length:
10000Page number.
Required range:
1 <= x <= 10000Number of testimonials per page.
Required range:
1 <= x <= 30Was this page helpful?